--- title: "Get Hosts Threat Factor" slug: "get-hosts-threat-factor" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/get-hosts-threat-factor" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Hosts Threat Factor This URL gets the list of hosts threat factor. ## Resource URL GET /ntbamonitors/{ntbaId}/hoststhreatfactor? TopN= &timePeriod=&startTime=&endTime= ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ntbaId | NTBA monitor id | Number | Yes | | TopN | Number of top rows, default 50. | Number | No | | timePeriod | Duration: can be - LAST_MINUTE - LAST_10_MINUTES - LAST_HOUR - LAST_24_HOURS - CUSTOM Custom incase start and end time is provided | String | No | | startTime | Start time in the format: yyyy-MM-dd HH:mm | String | No | | endTime | End time in the format: yyyy-MM-dd HH:mm | String | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | hostsThreatFactor | List of hosts threat factors in the NTBA | Array | Details of NTBA: | Field Name | Description | Data Type | | --- | --- | --- | | hostIP | Host IP | String | | hostId | Host id | Number | | userName | User name | String | | zone | Zone details | String | | threatFactor | Threat factor | String | | threats | Threat description | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/hoststhreatfactor?timePeriod=CUSTOM&startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11](https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/hoststhreatfactor?timePeriod=CUSTOM&startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11) **Response** ``` { "hostsThreatFactor" : [{ "hostIP" : "10.100.16.125", "zone" : "Default Inside Zone", "threatFactor" : "10.0", "threats" : "Illegal Reputation, BOT: Potential Bot Detected - High Confidence Heuristics Correlation, HTTP: Executable File in PDF File Detected, BOT: Potential Bot Detected - Medium Confidence Heuristics Correlation " }, { "hostIP" : "18.16.24.22", "zone" : "Default Inside Zone", "threatFactor" : "10.0", "threats" : "Illegal Reputation " }, { "hostIP" : "80.198.199.175", "zone" : "Default Inside Zone", "threatFactor" : "10.0", "threats" : "Illegal Reputation " } ] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id |